Files
Endpoints for managing workspace files.
This endpoint allows you to upload a file to the workspace. You can use this endpoint to upload a file and get the id of the file to use as an input in an app.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
filestring · binaryRequired
Responses
200
File uploaded successfully
application/json
idintegerOptionalExample:
The id of the file, you can use this id as an app's input
23created_atstring · date-timeOptionalExample:
2023-06-20 00:49:56.696000000 Zupdated_atstring · date-timeOptionalExample:
2023-10-24 11:26:21.820000000 Z401
Authentication error'
post/public_api/workspace_files
POST /public_api/workspace_files HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17
{
"file": "binary"
}{
"id": 23,
"created_at": "2023-06-20 00:49:56.696000000 Z",
"updated_at": "2023-10-24 11:26:21.820000000 Z"
}Last updated
Was this helpful?